import { Logger } from "../../../../../utils/logger";
export interface AlarmManager {
    alarmUp: boolean;
    set(interval?: number): void;
    cancel(): void;
}
export declare abstract class AbstractAlarmManager implements AlarmManager {
    protected osAlarmManager: android.app.AlarmManager;
    private receiverIntent;
    protected logger: Logger;
    private pendingIntent;
    constructor(osAlarmManager: android.app.AlarmManager, receiverIntent: android.content.Intent, logger: Logger);
    readonly alarmUp: boolean;
    abstract set(interval?: number): void;
    cancel(): void;
    protected getPendingIntent(): android.app.PendingIntent;
}
