"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var application_1 = require("tns-core-modules/application/application");
var AbstractAlarmManager = (function () {
    function AbstractAlarmManager(osAlarmManager, receiverIntent, logger) {
        this.osAlarmManager = osAlarmManager;
        this.receiverIntent = receiverIntent;
        this.logger = logger;
    }
    Object.defineProperty(AbstractAlarmManager.prototype, "alarmUp", {
        get: function () {
            return (android.app.PendingIntent.getBroadcast(application_1.android.context, 0, this.receiverIntent, android.app.PendingIntent.FLAG_NO_CREATE) !== null);
        },
        enumerable: true,
        configurable: true
    });
    AbstractAlarmManager.prototype.cancel = function () {
        if (!this.alarmUp) {
            return;
        }
        var pendingIntent = this.getPendingIntent();
        this.osAlarmManager.cancel(pendingIntent);
        pendingIntent.cancel();
        this.pendingIntent = null;
        this.logger.info("Alarm has been cancelled");
    };
    AbstractAlarmManager.prototype.getPendingIntent = function () {
        if (!this.pendingIntent) {
            this.pendingIntent = android.app.PendingIntent.getBroadcast(application_1.android.context, 0, this.receiverIntent, 0);
        }
        return this.pendingIntent;
    };
    return AbstractAlarmManager;
}());
exports.AbstractAlarmManager = AbstractAlarmManager;
//# sourceMappingURL=abstract-alarm-manager.android.js.map